@version 2.2
@warnings
@script generic

// In God I trust
sel;

generic
{
	sel = nil;
	sub = nil;
	
	mesh = Mesh ();
	
	while (mesh)
	{
			if (!mesh.null)	sel += mesh;

			mesh = mesh.next();
	}
		
	if (!sel) error("No mesh in layout.");
	
    reqbegin("Multiple Saver Trans - by Piddu");

	c0 = ctllistbox ("Select Objects:",300,200,"count","name");
	c1 = ctlinteger ("Frame start: ",Scene().framestart);
	c2 = ctlinteger ("Frame end:",Scene().frameend);
	c3 = ctlinteger ("at display subpatch level:",0);
	ctlposition(c3,150,236);
	c4 = ctlinteger ("every :",10);
	c5 = ctltext(" ","frame");
	ctlposition(c5,150,249);
	c6 = ctlstring("Path:",getdir("Objects"),320);
	
    return if !reqpost();

	value = getvalue(c0);
	fs = getvalue(c1);
	fe = getvalue(c2);
	sl = getvalue(c3);
	fr = getvalue(c4);
	path = getvalue(c6);

    reqend();

	if (!value) error("You didn't selected any mesh.");

	path = fullpath(path);

	for ( k = 1; k <= value.size(); k++)
	{
		sel[value[k]].select();
	    SubPatchLevel(sl,3);
	}
		

	for ( i = fs ; i <= fe ; i += fr)
	{
	    GoToFrame(i);
		for ( k = 1; k <= value.size(); k++)
		{
			sel[value[k]].select();
			SaveTransformed(path+"\\"+sel[value[k]].name+"_Tr_F"+i+".lwo");
		}
	}
}

count
{
return (sel.size());
}

name : index
{
return (sel[index].name);
}